Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface POAManagerOperations

All Known Subinterfaces:
  POAManager

public interface POAManagerOperations

Each POA object has an associated POAManager object. A POA manager may be associated with one or more POA objects. A POA manager encapsulates the processing state of the POAs it is associated with.

Method Summary
`void` | `activate()` This operation changes the state of the POA manager to active, causing associated POAs to start processing requests.
`void` | `deactivate(boolean etherealize_objects, boolean wait_for_completion)` This operation changes the state of the POA manager to inactive, causing associated POAs to reject the requests that have not begun executing as well as as any new requests.
`void` | `discard_requests(boolean wait_for_completion)` This operation changes the state of the POA manager to discarding.
`State` | `get_state()` This operation returns the state of the POA manager.
`void` | `hold_requests(boolean wait_for_completion)` This operation changes the state of the POA manager to holding, causing associated POAs to queue incoming requests.

Method Detail

### activate

    public void activate()
                  throws AdapterInactive

  This operation changes the state of the POA manager to active, causing associated POAs to start processing requests.

  Throws:
    `AdapterInactive` - is raised if the operation is invoked on the POAManager in inactive state.

### hold_requests

    public void hold_requests(boolean wait_for_completion)
                       throws AdapterInactive

  This operation changes the state of the POA manager to holding, causing associated POAs to queue incoming requests.

  Parameters:
    `wait_for_completion` - if FALSE, the operation returns immediately after changing state. If TRUE, it waits for all active requests to complete.
  Throws:
    `AdapterInactive` - is raised if the operation is invoked on the POAManager in inactive state.

### discard_requests

    public void discard_requests(boolean wait_for_completion)
                          throws AdapterInactive

  This operation changes the state of the POA manager to discarding. This causes associated POAs to discard incoming requests.

  Parameters:
    `wait_for_completion` - if FALSE, the operation returns immediately after changing state. If TRUE, it waits for all active requests to complete.
  Throws:
    `AdapterInactive` - is raised if the operation is invoked on the POAManager in inactive state.

### deactivate

    public void deactivate(boolean etherealize_objects,
                           boolean wait_for_completion)
                    throws AdapterInactive

  This operation changes the state of the POA manager to inactive, causing associated POAs to reject the requests that have not begun executing as well as as any new requests.

  Parameters:
    `etherealize_objects` - a flag to indicate whether to invoke the etherealize operation of the associated servant manager for all active objects.
    `wait_for_completion` - if FALSE, the operation returns immediately after changing state. If TRUE, it waits for all active requests to complete.
  Throws:
    `AdapterInactive` - is raised if the operation is invoked on the POAManager in inactive state.

### get_state

    public State get_state()

  This operation returns the state of the POA manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.